import 'package:ef/ef.dart';
import 'package:flutter/material.dart';
import 'package:vbvs_app/common/color/appConstants.dart';
import 'package:vbvs_app/common/util/FitTool.dart';
import 'package:vbvs_app/common/util/MyUtils.dart';
import 'package:vbvs_app/component/tool/WebViewWidget.dart';

class MhAboutUsPage extends StatefulWidget {
  late MyWebView webView;
  MhAboutUsPage({super.key});

  @override
  State<MhAboutUsPage> createState() => _MhAboutUsPageState();
}

class _MhAboutUsPageState extends State<MhAboutUsPage> {
  @override
  void initState() {
    super.initState();
    // pdfController.loadPdf();

    widget.webView = MyWebView(
      url: AppConstants().ent_type == 1
          ? "https://mp.weixin.qq.com/s/BrD3fTT2J2R-DxZrUuM4rw"
          : "https://mp.weixin.qq.com/s/7BvvprVDqX1eOzM3Lms8dg",
      onLoad: () {
        print('网页载入完毕');
      },
    );
  }

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (context, bodySize) => GestureDetector(
        onTap: () => FocusScope.of(context).unfocus(),
        child: Container(
          decoration: BoxDecoration(
            image: DecorationImage(
              image: AssetImage('assets/images/new_background.png'), // 本地图片
              fit: BoxFit.fill, // 填满整个 Container
            ),
          ),
          child: Scaffold(
            backgroundColor: Colors.transparent, // 加上这一行
            appBar: AppBar(
              backgroundColor: Colors.transparent,
              // backgroundColor: Colors.transparent,
              automaticallyImplyLeading: false,
              iconTheme: IconThemeData(color: themeController.currentColor.sc3),
              titleSpacing: 0,
              // leading: returnIconButtom,
              title: Container(
                width: double.infinity,
                height: 180.rpx,
                child: Stack(
                  alignment: Alignment.center,
                  children: [
                    /// 居中标题
                    Text('关于我们'.tr,
                        style: TextStyle(
                          fontFamily: 'Readex Pro',
                          color: themeController.currentColor.sc3,
                          letterSpacing: 0,
                          fontSize: 30.rpx,
                        )),

                    /// 左边返回按钮
                    Positioned(
                      left: 0,
                      child: returnIconButtomNew,
                    ),
                  ],
                ),
              ),

              actions: [],
              centerTitle: false,
            ),

            // body: SafeArea(
            //   top: true,
            //   child: Padding(
            //     padding: EdgeInsets.symmetric(horizontal: 30.rpx),
            //     child: Column(
            //       children: [
            //         Expanded(
            //           child: Obx(() {
            //             if (pdfController.localPdfPath.value == null) {
            //               return Center(child: CircularProgressIndicator());
            //             } else {
            //               return PDFView(
            //                 filePath: pdfController.localPdfPath.value!,
            //                 autoSpacing: false,
            //                 enableSwipe: true,
            //                 swipeHorizontal: false,
            //                 pageSnap: true,
            //                 fitEachPage: true,
            //                 defaultPage: 0,
            //                 onRender: (pages) => print('PDF 渲染完成，共 $pages 页'),
            //                 onError: (error) => print('PDF 加载错误: $error'),
            //               );
            //             }
            //           }),
            //         ),
            //       ],
            //     ),
            //   ),
            // ),
            body: SafeArea(
              top: true,
              child: Padding(
                padding: EdgeInsets.symmetric(horizontal: 0.rpx),
                child: Column(children: [
                  Expanded(
                    child: Container(
                      child: widget.webView,
                    ),
                  ),
                ]),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
